Get all webhook actions

Get descriptions of all available webhook actions to set up webhooks.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Query parameters

organization-onlybooleanOptional

organization-only or not

Response

Object with webhook action descriptions.
ANNOTATIONS_CREATEDobject or null
ANNOTATIONS_DELETEDobject or null
ANNOTATION_CREATEDobject or null
ANNOTATION_UPDATEDobject or null
PROJECT_CREATEDobject or null
PROJECT_DELETEDobject or null
PROJECT_UPDATEDobject or null
REVIEWS_DELETEDobject or null
REVIEW_CREATEDobject or null
REVIEW_UPDATEDobject or null
TASKS_CREATEDobject or null
TASKS_DELETEDobject or null